﻿@{
    ViewBag.Title = "View All Doctors";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<!--modal to show edit function-->
<div class="modal fade in" id="modal-default" style="padding-right: 17px;">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">Edit Doctors </h4>
            </div>
            <div class="modal-body">



                <form class="form-horizontal">
                    <div class="box-body">

                        <div class="form-group" style="display:none;">
                            <label for="inputDoctName" class="col-sm-2 control-label">Id</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="docId" placeholder="Enter ...">
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="inputDoctName" class="col-sm-2 control-label">Name</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputDoctName" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputDocAddress" class="col-sm-2 control-label">Address</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputDocAddress" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputEdu" class="col-sm-2 control-label">Qualifications</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputEdu" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputSpecialization" class="col-sm-2 control-label">Speclialization</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputSpecialization" placeholder="Enter ...">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputPhoneNo" class="col-sm-2 control-label">Phone No</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="inputPhoneNo" placeholder="Enter ...">
                            </div>

                        </div>

                        <div class="form-group">
                            <label for="InputDeptNo" class="col-sm-2 control-label">Select Dept No</label>
                            <div class="col-sm-10">
                                <select class="form-control" id="InputDeptNo">
                                  

                                </select>
                            </div>
                        </div>

                        <!-- select Hospital ID -->
                        <div class="form-group">
                            <label for="InputHodpitalID" class="col-sm-2 control-label">Hospital </label>
                            <div class="col-sm-10">
                                   
                                <select class="form-control" id="InputHodpitalID"></select>

                                
                            </div>
                        </div>

                      
                    </div>

                </form>



            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="ChangeValues();">Save changes</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>



<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>All Doctor's Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">List of Doctors</h3>

                <div class="box-tools">
                    <div class="input-group input-group-sm" style="width: 150px;">
                        <input type="text" name="table_search" class="form-control pull-right" placeholder="Search">

                        <div class="input-group-btn">
                            <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- /.box-header -->
            <div class="box-body table-responsive no-padding">
                <table class="table table-hover">
                    <tr>
                        <th>Name</th>
                        <th>Address</th>
                        <th>Qualifications</th>
                        <th>Speclialization</th>
                        <th>Contact No</th>
                        <th>Deptartment Name</th>
                        <th>Hospital Name</th>
                        <th>Edit</th>
                        <th>Delete</th>
                       </tr>

                    <tbody id="tbl"></tbody>

                </table>
            </div>
            <!-- /.box-body -->
        </div>
    </section>
</div>

<!--get the department and hospital data -->
<script>
$(document).ready(function(){
$.ajax({
            url: '@Url.Action("GetHopitalDept", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var listdept = data.Department;
                    var listHosp = data.Hospita;

                    for (i = 0; i < listHosp.length; i++) {
                        $('#InputHodpitalID').append('<option value=' + listHosp[i].cstno + ' name=' + listHosp[i].name + ' >' + listHosp[i].name + '</option>');
                    }

                    for (i = 0; i < listdept.length; i++) {
                        $('#InputDeptNo').append('<option value=' + listdept[i].deptno + ' name=' + listdept[i].deptname + ' >' + listdept[i].deptname + '</option>');
                    }

            }
            },
            error: function (xhr) {
            alert(xhr.responseText);
            }
            });
});
</script>

<script>
    $(document).ready(function () {
        $.ajax({
            url: '@Url.Action("GetAllDoctorsData", "AHMS")',
            type: "POST",
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list = data.message;
                    for (i = 0; i < list.length; i++) {
                        $('#tbl').append(' <tr id=' + list[i].docno + '><td>' + list[i].docname + '</td><td>' + list[i].addressdoc + '</td><td>' + list[i].qulifications + '</td><td>' + list[i].specialization + '</td><td>' + list[i].contactno + '</td><td>' + list[i].deptname + '</td><td>' + list[i].name + '</td><td><button type="button" class="btn bg-light-blue" onclick=getUpdate(' + list[i].docno + ')> <i class="fa fa-edit"></i>  </button></td><td><button type="button" class="btn bg-red" id="btnDelete" onclick=getDelete(' + list[i].docno + ')><i class="fa fa-trash-o"></i></button> </td> </tr> ');
                    }

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>


<script>

    function getUpdate(id){
        //alert(id);
        
        $('#' + id).each(function () {

            // do stuff for each td in here...
            debugger;
            $('#inputDoctName').val($(this).find("td").eq(0).html());
            $('#inputDocAddress').val($(this).find("td").eq(1).html());
            $('#inputEdu').val($(this).find("td").eq(2).html());
            $('#inputSpecialization').val($(this).find("td").eq(3).html());
            $('#inputPhoneNo').val($(this).find("td").eq(4).html());
            //var DocDeptNo = $('#InputDeptNo :selected').val();
           // var DocHodpitalID = $('#InputHodpitalID :selected').val();

            $('#docId').val(id);





            $("#modal-default").modal("show");
        });
        
    
    }
       

</script>


<!--call the ajax function Edit -->

<script>
    function ChangeValues(){
        $("#modal-default").modal("hide");
        debugger;
      var Name=  $('#inputDoctName').val();
      var Address = $('#inputDocAddress').val();
      var Edu = $('#inputEdu').val();
      var Specialization = $('#inputSpecialization').val();
      var PhoneNo = $('#inputPhoneNo').val();
      var DocDeptNo = $('#InputDeptNo :selected').val();
      var DocHodpitalID = $('#InputHodpitalID :selected').val();

      var ID = $('#docId').val();

        $.ajax({
            url: '@Url.Action("EditDoctors", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ ID: ID, Name: Name, Address: Address, Edu: Edu, Specialization: Specialization, PhoneNo: PhoneNo, DocDeptNo: DocDeptNo, DocHodpitalID: DocHodpitalID }),
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    swal(data.message, "", "success");
                    location.reload();
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });
    }

</script>



<script>
    function getDelete(id) {
        debugger;
        $.ajax({
            url: '@Url.Action("DeleteDocData", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ id: id}),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    $('#'+id).remove();
                    swal(data.message, "", "success");

                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>